Items
List Items
GET
/
items
List Items
curl --request GET \
--url https://vinmake-erp.onrender.com/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"itemType": "<string>",
"documentId": "<string>",
"refId": "<string>",
"name": "<string>",
"picture": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"materialType": "<string>",
"supplierId": "<string>",
"unitOfMeasurement": "<string>",
"costPerUnit": 123,
"currency": "<string>",
"verificationStatus": "<string>",
"unit": "<string>",
"weight": 123,
"weightUom": "<string>",
"color": "<string>",
"notes": "<string>",
"width": 123,
"widthUom": "<string>",
"composition": null,
"shrinkage": 123,
"keyword": "<string>",
"dependencyType": "<string>",
"description": "<string>",
"clientId": "<string>",
"merchandiser": "<string>",
"estQuantity": 123,
"estCost": 123,
"country": "<string>",
"estCompletionTime": "<string>",
"priceCategory": "<string>",
"dealStatus": "<string>",
"designType": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Items
